separate build.h and config.h usage (now possible because newconfig is gone)

Signed-off-by: Stefan Reinauer <stepan@coresystems.de>

Index: src/lib/version.c
===================================================================
--- src/lib/version.c	(revision 5105)
+++ src/lib/version.c	(working copy)
@@ -1,4 +1,5 @@
 #include <version.h>
+#include <build.h>
 
 #ifndef CONFIG_MAINBOARD_VENDOR
 #error CONFIG_MAINBOARD_VENDOR not defined
Index: Makefile
===================================================================
--- Makefile	(revision 5105)
+++ Makefile	(working copy)
@@ -219,7 +219,7 @@
 INCLUDES := -I$(top)/src -I$(top)/src/include -I$(obj) -I$(top)/src/arch/$(ARCHDIR-y)/include 
 INCLUDES += -I$(shell $(CC) -print-search-dirs | head -n 1 | cut -d' ' -f2)include
 INCLUDES += -I$(top)/util/x86emu/include
-INCLUDES += -include $(obj)/build.h
+INCLUDES += -include $(obj)/config.h
 
 try-run= $(shell set -e; \
 TMP=".$$$$.tmp"; \
@@ -262,7 +262,10 @@
 $(obj)/build.h:
 	@printf "    GEN        build.h\n"
 	rm -f $(obj)/build.h
-	printf "#define COREBOOT_VERSION \"$(KERNELVERSION)\"\n" > $(obj)/build.ht
+	printf "/* build system definitions (autogenerated) */\n" > $(obj)/build.ht
+	printf "#ifndef __BUILD_H\n" >> $(obj)/build.ht
+	printf "#define __BUILD_H\n\n" >> $(obj)/build.ht
+	printf "#define COREBOOT_VERSION \"$(KERNELVERSION)\"\n" >> $(obj)/build.ht
 	printf "#define COREBOOT_EXTRA_VERSION \"$(COREBOOT_EXTRA_VERSION)\"\n" >> $(obj)/build.ht
 	printf "#define COREBOOT_BUILD \"`LANG= date`\"\n" >> $(obj)/build.ht
 	printf "\n" >> $(obj)/build.ht
@@ -273,12 +276,12 @@
 	printf "#define COREBOOT_COMPILE_BY \"$(subst \,@,$(shell PATH=$$PATH:/usr/ucb whoami))\"\n" >> $(obj)/build.ht
 	printf "#define COREBOOT_COMPILE_HOST \"$(shell hostname -s)\"\n" >> $(obj)/build.ht
 	printf "#define COREBOOT_COMPILE_DOMAIN \"$(shell test `uname -s` = "Linux" && dnsdomainname || domainname)\"\n" >> $(obj)/build.ht
-	printf "#include \"config.h\"\n" >> $(obj)/build.ht
+	printf "#endif\n" >> $(obj)/build.ht
 	mv $(obj)/build.ht $(obj)/build.h
 
 doxy: doxygen
 doxygen:
-	$(DOXYGEN) Doxyfile
+	$(DOXYGEN) documentation/Doxyfile.coreboot
 
 doxyclean: doxygen-clean
 doxygen-clean:
